package proto

// BaseResponse 基础返回结构
type BaseResponse struct {
	Code    int         `json:"code"`
	Message string      `json:"message"`
	Data    interface{} `json:"result,omitempty"`
	Status  string      `json:"type,omitempty"`
	Err     error       `json:"error,omitempty"` // 错误堆栈
	//Page      int64       `json:"page,omitempty"`      //当前页码
	//PageSize  int64       `json:"pageSize,omitempty"`  // 单页显示记录数--前端参数2
	//PageCount int64       `json:"totalPage,omitempty"` // 总页数
	//TotalSize int64       `json:"total,omitempty"`     // 总记录数
}

type FileBaseInfo struct {
	Name    string `json:"name"`
	Path    string `json:"path"`
	IsDir   bool   `json:"isDir"`
	Size    int64  `json:"size"`
	ModTime int64  `json:"modTime"`
}

type FileContent struct {
	FileBaseInfo
	ContentBase string `json:"contentBase"`
	LabelStatus int    `json:"labelStatus"` //0:未标注;1:有病害;2:无病害
	BizType     int    `json:"bizType"`
}

type FileTransferInfo struct {
	FileName    string `json:"fileName"`
	FilePath    string `json:"filePath"`
	DataType    int    `json:"dataType"`
	DatasetName string `json:"datasetId"`
	FileSize    int64  `json:"fileSize"`
	File        string `json:"file"`
	IsCompress  bool   `json:"isCompress"`
	FileMd5     string `json:"fileMd5"`
}
